#macro t ? ( n, stmt... )
#print stmt
stmt
#if( n = 0 )
#print OK
#endif
#endmacro

dim as string a, b










'' -------------------
t( 1, input       )
t( 1, input  ;    )
t( 1, input    '' )
t( 1, input  ; '' )
t( 1, input   ,     )
t( 1, input  ;,     )
t( 1, input   ,  '' )
t( 1, input  ;,  '' )
t( 1, input   ,  1     )
t( 1, input  ;,  1     )
t( 1, input   ,  1  '' )
t( 1, input  ;,  1  '' )
t( 1, input   ,  1 ,     )
t( 1, input  ;,  1 ,     )
t( 1, input   ,  1 ,  '' )
t( 1, input  ;,  1 ,  '' )
t( 1, input   ,  1 ;     )
t( 1, input  ;,  1 ;     )
t( 1, input   ,  1 ;  '' )
t( 1, input  ;,  1 ;  '' )
t( 1, input   ,  1 ,,    )
t( 1, input  ;,  1 ,,    )
t( 1, input   ,  1 ,, '' )
t( 1, input  ;,  1 ,, '' )
t( 1, input   ,  1 ,;    )
t( 1, input  ;,  1 ,;    )
t( 1, input   ,  1 ,; '' )
t( 1, input  ;,  1 ,; '' )
t( 1, input   ,  1 ;,    )
t( 1, input  ;,  1 ;,    )
t( 1, input   ,  1 ;, '' )
t( 1, input  ;,  1 ;, '' )
t( 1, input   ,  1 ;;    )
t( 1, input  ;,  1 ;;    )
t( 1, input   ,  1 ;; '' )
t( 1, input  ;,  1 ;; '' )
t( 1, input   ,  a     )
t( 1, input  ;,  a     )
t( 1, input   ,  a  '' )
t( 1, input  ;,  a  '' )
t( 1, input   ,  a ,     )
t( 1, input  ;,  a ,     )
t( 1, input   ,  a ,  '' )
t( 1, input  ;,  a ,  '' )
t( 1, input   ,  a ;     )
t( 1, input  ;,  a ;     )
t( 1, input   ,  a ;  '' )
t( 1, input  ;,  a ;  '' )
t( 1, input   ,  a ,,    )
t( 1, input  ;,  a ,,    )
t( 1, input   ,  a ,, '' )
t( 1, input  ;,  a ,, '' )
t( 1, input   ,  a ,;    )
t( 1, input  ;,  a ,;    )
t( 1, input   ,  a ,; '' )
t( 1, input  ;,  a ,; '' )
t( 1, input   ,  a ;,    )
t( 1, input  ;,  a ;,    )
t( 1, input   ,  a ;, '' )
t( 1, input  ;,  a ;, '' )
t( 1, input   ,  a ;;    )
t( 1, input  ;,  a ;;    )
t( 1, input   ,  a ;; '' )
t( 1, input  ;,  a ;; '' )
t( 1, input   , "T"    )
t( 1, input  ;, "T"    )
t( 1, input   , "T" '' )
t( 1, input  ;, "T" '' )
t( 1, input   , "T",     )
t( 1, input  ;, "T",     )
t( 1, input   , "T",  '' )
t( 1, input  ;, "T",  '' )
t( 1, input   , "T";     )
t( 1, input  ;, "T";     )
t( 1, input   , "T";  '' )
t( 1, input  ;, "T";  '' )
t( 1, input   , "T",,    )
t( 1, input  ;, "T",,    )
t( 1, input   , "T",, '' )
t( 1, input  ;, "T",, '' )
t( 1, input   , "T",;    )
t( 1, input  ;, "T",;    )
t( 1, input   , "T",; '' )
t( 1, input  ;, "T",; '' )
t( 1, input   , "T";,    )
t( 1, input  ;, "T";,    )
t( 1, input   , "T";, '' )
t( 1, input  ;, "T";, '' )
t( 1, input   , "T";;    )
t( 1, input  ;, "T";;    )
t( 1, input   , "T";; '' )
t( 1, input  ;, "T";; '' )
t( 1, input   ,  b     )
t( 1, input  ;,  b     )
t( 1, input   ,  b  '' )
t( 1, input  ;,  b  '' )
t( 1, input   ,  b ,     )
t( 1, input  ;,  b ,     )
t( 1, input   ,  b ,  '' )
t( 1, input  ;,  b ,  '' )
t( 1, input   ,  b ;     )
t( 1, input  ;,  b ;     )
t( 1, input   ,  b ;  '' )
t( 1, input  ;,  b ;  '' )
t( 1, input   ,  b ,,    )
t( 1, input  ;,  b ,,    )
t( 1, input   ,  b ,, '' )
t( 1, input  ;,  b ,, '' )
t( 1, input   ,  b ,;    )
t( 1, input  ;,  b ,;    )
t( 1, input   ,  b ,; '' )
t( 1, input  ;,  b ,; '' )
t( 1, input   ,  b ;,    )
t( 1, input  ;,  b ;,    )
t( 1, input   ,  b ;, '' )
t( 1, input  ;,  b ;, '' )
t( 1, input   ,  b ;;    )
t( 1, input  ;,  b ;;    )
t( 1, input   ,  b ;; '' )
t( 1, input  ;,  b ;; '' )
t( 1, input   ;     )
t( 1, input  ;;     )
t( 1, input   ;  '' )
t( 1, input  ;;  '' )
t( 1, input   ;  1     )
t( 1, input  ;;  1     )
t( 1, input   ;  1  '' )
t( 1, input  ;;  1  '' )
t( 1, input   ;  1 ,     )
t( 1, input  ;;  1 ,     )
t( 1, input   ;  1 ,  '' )
t( 1, input  ;;  1 ,  '' )
t( 1, input   ;  1 ;     )
t( 1, input  ;;  1 ;     )
t( 1, input   ;  1 ;  '' )
t( 1, input  ;;  1 ;  '' )
t( 1, input   ;  1 ,,    )
t( 1, input  ;;  1 ,,    )
t( 1, input   ;  1 ,, '' )
t( 1, input  ;;  1 ,, '' )
t( 1, input   ;  1 ,;    )
t( 1, input  ;;  1 ,;    )
t( 1, input   ;  1 ,; '' )
t( 1, input  ;;  1 ,; '' )
t( 1, input   ;  1 ;,    )
t( 1, input  ;;  1 ;,    )
t( 1, input   ;  1 ;, '' )
t( 1, input  ;;  1 ;, '' )
t( 1, input   ;  1 ;;    )
t( 1, input  ;;  1 ;;    )
t( 1, input   ;  1 ;; '' )
t( 1, input  ;;  1 ;; '' )
t( 0, input   ;  a     )
t( 1, input  ;;  a     )
t( 0, input   ;  a  '' )
t( 1, input  ;;  a  '' )
t( 1, input   ;  a ,     )
t( 1, input  ;;  a ,     )
t( 1, input   ;  a ,  '' )
t( 1, input  ;;  a ,  '' )
t( 1, input   ;  a ;     )
t( 1, input  ;;  a ;     )
t( 1, input   ;  a ;  '' )
t( 1, input  ;;  a ;  '' )
t( 1, input   ;  a ,,    )
t( 1, input  ;;  a ,,    )
t( 1, input   ;  a ,, '' )
t( 1, input  ;;  a ,, '' )
t( 1, input   ;  a ,;    )
t( 1, input  ;;  a ,;    )
t( 1, input   ;  a ,; '' )
t( 1, input  ;;  a ,; '' )
t( 1, input   ;  a ;,    )
t( 1, input  ;;  a ;,    )
t( 1, input   ;  a ;, '' )
t( 1, input  ;;  a ;, '' )
t( 1, input   ;  a ;;    )
t( 1, input  ;;  a ;;    )
t( 1, input   ;  a ;; '' )
t( 1, input  ;;  a ;; '' )
t( 1, input   ; "T"    )
t( 1, input  ;; "T"    )
t( 1, input   ; "T" '' )
t( 1, input  ;; "T" '' )
t( 1, input   ; "T",     )
t( 1, input  ;; "T",     )
t( 1, input   ; "T",  '' )
t( 1, input  ;; "T",  '' )
t( 1, input   ; "T";     )
t( 1, input  ;; "T";     )
t( 1, input   ; "T";  '' )
t( 1, input  ;; "T";  '' )
t( 1, input   ; "T",,    )
t( 1, input  ;; "T",,    )
t( 1, input   ; "T",, '' )
t( 1, input  ;; "T",, '' )
t( 1, input   ; "T",;    )
t( 1, input  ;; "T",;    )
t( 1, input   ; "T",; '' )
t( 1, input  ;; "T",; '' )
t( 1, input   ; "T";,    )
t( 1, input  ;; "T";,    )
t( 1, input   ; "T";, '' )
t( 1, input  ;; "T";, '' )
t( 1, input   ; "T";;    )
t( 1, input  ;; "T";;    )
t( 1, input   ; "T";; '' )
t( 1, input  ;; "T";; '' )
t( 0, input   ;  b     )
t( 1, input  ;;  b     )
t( 0, input   ;  b  '' )
t( 1, input  ;;  b  '' )
t( 1, input   ;  b ,     )
t( 1, input  ;;  b ,     )
t( 1, input   ;  b ,  '' )
t( 1, input  ;;  b ,  '' )
t( 1, input   ;  b ;     )
t( 1, input  ;;  b ;     )
t( 1, input   ;  b ;  '' )
t( 1, input  ;;  b ;  '' )
t( 1, input   ;  b ,,    )
t( 1, input  ;;  b ,,    )
t( 1, input   ;  b ,, '' )
t( 1, input  ;;  b ,, '' )
t( 1, input   ;  b ,;    )
t( 1, input  ;;  b ,;    )
t( 1, input   ;  b ,; '' )
t( 1, input  ;;  b ,; '' )
t( 1, input   ;  b ;,    )
t( 1, input  ;;  b ;,    )
t( 1, input   ;  b ;, '' )
t( 1, input  ;;  b ;, '' )
t( 1, input   ;  b ;;    )
t( 1, input  ;;  b ;;    )
t( 1, input   ;  b ;; '' )
t( 1, input  ;;  b ;; '' )
t( 1, input   ,,    )
t( 1, input  ;,,    )
t( 1, input   ,, '' )
t( 1, input  ;,, '' )
t( 1, input   ,, 1     )
t( 1, input  ;,, 1     )
t( 1, input   ,, 1  '' )
t( 1, input  ;,, 1  '' )
t( 1, input   ,, 1 ,     )
t( 1, input  ;,, 1 ,     )
t( 1, input   ,, 1 ,  '' )
t( 1, input  ;,, 1 ,  '' )
t( 1, input   ,, 1 ;     )
t( 1, input  ;,, 1 ;     )
t( 1, input   ,, 1 ;  '' )
t( 1, input  ;,, 1 ;  '' )
t( 1, input   ,, 1 ,,    )
t( 1, input  ;,, 1 ,,    )
t( 1, input   ,, 1 ,, '' )
t( 1, input  ;,, 1 ,, '' )
t( 1, input   ,, 1 ,;    )
t( 1, input  ;,, 1 ,;    )
t( 1, input   ,, 1 ,; '' )
t( 1, input  ;,, 1 ,; '' )
t( 1, input   ,, 1 ;,    )
t( 1, input  ;,, 1 ;,    )
t( 1, input   ,, 1 ;, '' )
t( 1, input  ;,, 1 ;, '' )
t( 1, input   ,, 1 ;;    )
t( 1, input  ;,, 1 ;;    )
t( 1, input   ,, 1 ;; '' )
t( 1, input  ;,, 1 ;; '' )
t( 1, input   ,, a     )
t( 1, input  ;,, a     )
t( 1, input   ,, a  '' )
t( 1, input  ;,, a  '' )
t( 1, input   ,, a ,     )
t( 1, input  ;,, a ,     )
t( 1, input   ,, a ,  '' )
t( 1, input  ;,, a ,  '' )
t( 1, input   ,, a ;     )
t( 1, input  ;,, a ;     )
t( 1, input   ,, a ;  '' )
t( 1, input  ;,, a ;  '' )
t( 1, input   ,, a ,,    )
t( 1, input  ;,, a ,,    )
t( 1, input   ,, a ,, '' )
t( 1, input  ;,, a ,, '' )
t( 1, input   ,, a ,;    )
t( 1, input  ;,, a ,;    )
t( 1, input   ,, a ,; '' )
t( 1, input  ;,, a ,; '' )
t( 1, input   ,, a ;,    )
t( 1, input  ;,, a ;,    )
t( 1, input   ,, a ;, '' )
t( 1, input  ;,, a ;, '' )
t( 1, input   ,, a ;;    )
t( 1, input  ;,, a ;;    )
t( 1, input   ,, a ;; '' )
t( 1, input  ;,, a ;; '' )
t( 1, input   ,,"T"    )
t( 1, input  ;,,"T"    )
t( 1, input   ,,"T" '' )
t( 1, input  ;,,"T" '' )
t( 1, input   ,,"T",     )
t( 1, input  ;,,"T",     )
t( 1, input   ,,"T",  '' )
t( 1, input  ;,,"T",  '' )
t( 1, input   ,,"T";     )
t( 1, input  ;,,"T";     )
t( 1, input   ,,"T";  '' )
t( 1, input  ;,,"T";  '' )
t( 1, input   ,,"T",,    )
t( 1, input  ;,,"T",,    )
t( 1, input   ,,"T",, '' )
t( 1, input  ;,,"T",, '' )
t( 1, input   ,,"T",;    )
t( 1, input  ;,,"T",;    )
t( 1, input   ,,"T",; '' )
t( 1, input  ;,,"T",; '' )
t( 1, input   ,,"T";,    )
t( 1, input  ;,,"T";,    )
t( 1, input   ,,"T";, '' )
t( 1, input  ;,,"T";, '' )
t( 1, input   ,,"T";;    )
t( 1, input  ;,,"T";;    )
t( 1, input   ,,"T";; '' )
t( 1, input  ;,,"T";; '' )
t( 1, input   ,, b     )
t( 1, input  ;,, b     )
t( 1, input   ,, b  '' )
t( 1, input  ;,, b  '' )
t( 1, input   ,, b ,     )
t( 1, input  ;,, b ,     )
t( 1, input   ,, b ,  '' )
t( 1, input  ;,, b ,  '' )
t( 1, input   ,, b ;     )
t( 1, input  ;,, b ;     )
t( 1, input   ,, b ;  '' )
t( 1, input  ;,, b ;  '' )
t( 1, input   ,, b ,,    )
t( 1, input  ;,, b ,,    )
t( 1, input   ,, b ,, '' )
t( 1, input  ;,, b ,, '' )
t( 1, input   ,, b ,;    )
t( 1, input  ;,, b ,;    )
t( 1, input   ,, b ,; '' )
t( 1, input  ;,, b ,; '' )
t( 1, input   ,, b ;,    )
t( 1, input  ;,, b ;,    )
t( 1, input   ,, b ;, '' )
t( 1, input  ;,, b ;, '' )
t( 1, input   ,, b ;;    )
t( 1, input  ;,, b ;;    )
t( 1, input   ,, b ;; '' )
t( 1, input  ;,, b ;; '' )
t( 1, input   ,;    )
t( 1, input  ;,;    )
t( 1, input   ,; '' )
t( 1, input  ;,; '' )
t( 1, input   ,; 1     )
t( 1, input  ;,; 1     )
t( 1, input   ,; 1  '' )
t( 1, input  ;,; 1  '' )
t( 1, input   ,; 1 ,     )
t( 1, input  ;,; 1 ,     )
t( 1, input   ,; 1 ,  '' )
t( 1, input  ;,; 1 ,  '' )
t( 1, input   ,; 1 ;     )
t( 1, input  ;,; 1 ;     )
t( 1, input   ,; 1 ;  '' )
t( 1, input  ;,; 1 ;  '' )
t( 1, input   ,; 1 ,,    )
t( 1, input  ;,; 1 ,,    )
t( 1, input   ,; 1 ,, '' )
t( 1, input  ;,; 1 ,, '' )
t( 1, input   ,; 1 ,;    )
t( 1, input  ;,; 1 ,;    )
t( 1, input   ,; 1 ,; '' )
t( 1, input  ;,; 1 ,; '' )
t( 1, input   ,; 1 ;,    )
t( 1, input  ;,; 1 ;,    )
t( 1, input   ,; 1 ;, '' )
t( 1, input  ;,; 1 ;, '' )
t( 1, input   ,; 1 ;;    )
t( 1, input  ;,; 1 ;;    )
t( 1, input   ,; 1 ;; '' )
t( 1, input  ;,; 1 ;; '' )
t( 1, input   ,; a     )
t( 1, input  ;,; a     )
t( 1, input   ,; a  '' )
t( 1, input  ;,; a  '' )
t( 1, input   ,; a ,     )
t( 1, input  ;,; a ,     )
t( 1, input   ,; a ,  '' )
t( 1, input  ;,; a ,  '' )
t( 1, input   ,; a ;     )
t( 1, input  ;,; a ;     )
t( 1, input   ,; a ;  '' )
t( 1, input  ;,; a ;  '' )
t( 1, input   ,; a ,,    )
t( 1, input  ;,; a ,,    )
t( 1, input   ,; a ,, '' )
t( 1, input  ;,; a ,, '' )
t( 1, input   ,; a ,;    )
t( 1, input  ;,; a ,;    )
t( 1, input   ,; a ,; '' )
t( 1, input  ;,; a ,; '' )
t( 1, input   ,; a ;,    )
t( 1, input  ;,; a ;,    )
t( 1, input   ,; a ;, '' )
t( 1, input  ;,; a ;, '' )
t( 1, input   ,; a ;;    )
t( 1, input  ;,; a ;;    )
t( 1, input   ,; a ;; '' )
t( 1, input  ;,; a ;; '' )
t( 1, input   ,;"T"    )
t( 1, input  ;,;"T"    )
t( 1, input   ,;"T" '' )
t( 1, input  ;,;"T" '' )
t( 1, input   ,;"T",     )
t( 1, input  ;,;"T",     )
t( 1, input   ,;"T",  '' )
t( 1, input  ;,;"T",  '' )
t( 1, input   ,;"T";     )
t( 1, input  ;,;"T";     )
t( 1, input   ,;"T";  '' )
t( 1, input  ;,;"T";  '' )
t( 1, input   ,;"T",,    )
t( 1, input  ;,;"T",,    )
t( 1, input   ,;"T",, '' )
t( 1, input  ;,;"T",, '' )
t( 1, input   ,;"T",;    )
t( 1, input  ;,;"T",;    )
t( 1, input   ,;"T",; '' )
t( 1, input  ;,;"T",; '' )
t( 1, input   ,;"T";,    )
t( 1, input  ;,;"T";,    )
t( 1, input   ,;"T";, '' )
t( 1, input  ;,;"T";, '' )
t( 1, input   ,;"T";;    )
t( 1, input  ;,;"T";;    )
t( 1, input   ,;"T";; '' )
t( 1, input  ;,;"T";; '' )
t( 1, input   ,; b     )
t( 1, input  ;,; b     )
t( 1, input   ,; b  '' )
t( 1, input  ;,; b  '' )
t( 1, input   ,; b ,     )
t( 1, input  ;,; b ,     )
t( 1, input   ,; b ,  '' )
t( 1, input  ;,; b ,  '' )
t( 1, input   ,; b ;     )
t( 1, input  ;,; b ;     )
t( 1, input   ,; b ;  '' )
t( 1, input  ;,; b ;  '' )
t( 1, input   ,; b ,,    )
t( 1, input  ;,; b ,,    )
t( 1, input   ,; b ,, '' )
t( 1, input  ;,; b ,, '' )
t( 1, input   ,; b ,;    )
t( 1, input  ;,; b ,;    )
t( 1, input   ,; b ,; '' )
t( 1, input  ;,; b ,; '' )
t( 1, input   ,; b ;,    )
t( 1, input  ;,; b ;,    )
t( 1, input   ,; b ;, '' )
t( 1, input  ;,; b ;, '' )
t( 1, input   ,; b ;;    )
t( 1, input  ;,; b ;;    )
t( 1, input   ,; b ;; '' )
t( 1, input  ;,; b ;; '' )
t( 1, input   ;,    )
t( 1, input  ;;,    )
t( 1, input   ;, '' )
t( 1, input  ;;, '' )
t( 1, input   ;, 1     )
t( 1, input  ;;, 1     )
t( 1, input   ;, 1  '' )
t( 1, input  ;;, 1  '' )
t( 1, input   ;, 1 ,     )
t( 1, input  ;;, 1 ,     )
t( 1, input   ;, 1 ,  '' )
t( 1, input  ;;, 1 ,  '' )
t( 1, input   ;, 1 ;     )
t( 1, input  ;;, 1 ;     )
t( 1, input   ;, 1 ;  '' )
t( 1, input  ;;, 1 ;  '' )
t( 1, input   ;, 1 ,,    )
t( 1, input  ;;, 1 ,,    )
t( 1, input   ;, 1 ,, '' )
t( 1, input  ;;, 1 ,, '' )
t( 1, input   ;, 1 ,;    )
t( 1, input  ;;, 1 ,;    )
t( 1, input   ;, 1 ,; '' )
t( 1, input  ;;, 1 ,; '' )
t( 1, input   ;, 1 ;,    )
t( 1, input  ;;, 1 ;,    )
t( 1, input   ;, 1 ;, '' )
t( 1, input  ;;, 1 ;, '' )
t( 1, input   ;, 1 ;;    )
t( 1, input  ;;, 1 ;;    )
t( 1, input   ;, 1 ;; '' )
t( 1, input  ;;, 1 ;; '' )
t( 1, input   ;, a     )
t( 1, input  ;;, a     )
t( 1, input   ;, a  '' )
t( 1, input  ;;, a  '' )
t( 1, input   ;, a ,     )
t( 1, input  ;;, a ,     )
t( 1, input   ;, a ,  '' )
t( 1, input  ;;, a ,  '' )
t( 1, input   ;, a ;     )
t( 1, input  ;;, a ;     )
t( 1, input   ;, a ;  '' )
t( 1, input  ;;, a ;  '' )
t( 1, input   ;, a ,,    )
t( 1, input  ;;, a ,,    )
t( 1, input   ;, a ,, '' )
t( 1, input  ;;, a ,, '' )
t( 1, input   ;, a ,;    )
t( 1, input  ;;, a ,;    )
t( 1, input   ;, a ,; '' )
t( 1, input  ;;, a ,; '' )
t( 1, input   ;, a ;,    )
t( 1, input  ;;, a ;,    )
t( 1, input   ;, a ;, '' )
t( 1, input  ;;, a ;, '' )
t( 1, input   ;, a ;;    )
t( 1, input  ;;, a ;;    )
t( 1, input   ;, a ;; '' )
t( 1, input  ;;, a ;; '' )
t( 1, input   ;,"T"    )
t( 1, input  ;;,"T"    )
t( 1, input   ;,"T" '' )
t( 1, input  ;;,"T" '' )
t( 1, input   ;,"T",     )
t( 1, input  ;;,"T",     )
t( 1, input   ;,"T",  '' )
t( 1, input  ;;,"T",  '' )
t( 1, input   ;,"T";     )
t( 1, input  ;;,"T";     )
t( 1, input   ;,"T";  '' )
t( 1, input  ;;,"T";  '' )
t( 1, input   ;,"T",,    )
t( 1, input  ;;,"T",,    )
t( 1, input   ;,"T",, '' )
t( 1, input  ;;,"T",, '' )
t( 1, input   ;,"T",;    )
t( 1, input  ;;,"T",;    )
t( 1, input   ;,"T",; '' )
t( 1, input  ;;,"T",; '' )
t( 1, input   ;,"T";,    )
t( 1, input  ;;,"T";,    )
t( 1, input   ;,"T";, '' )
t( 1, input  ;;,"T";, '' )
t( 1, input   ;,"T";;    )
t( 1, input  ;;,"T";;    )
t( 1, input   ;,"T";; '' )
t( 1, input  ;;,"T";; '' )
t( 1, input   ;, b     )
t( 1, input  ;;, b     )
t( 1, input   ;, b  '' )
t( 1, input  ;;, b  '' )
t( 1, input   ;, b ,     )
t( 1, input  ;;, b ,     )
t( 1, input   ;, b ,  '' )
t( 1, input  ;;, b ,  '' )
t( 1, input   ;, b ;     )
t( 1, input  ;;, b ;     )
t( 1, input   ;, b ;  '' )
t( 1, input  ;;, b ;  '' )
t( 1, input   ;, b ,,    )
t( 1, input  ;;, b ,,    )
t( 1, input   ;, b ,, '' )
t( 1, input  ;;, b ,, '' )
t( 1, input   ;, b ,;    )
t( 1, input  ;;, b ,;    )
t( 1, input   ;, b ,; '' )
t( 1, input  ;;, b ,; '' )
t( 1, input   ;, b ;,    )
t( 1, input  ;;, b ;,    )
t( 1, input   ;, b ;, '' )
t( 1, input  ;;, b ;, '' )
t( 1, input   ;, b ;;    )
t( 1, input  ;;, b ;;    )
t( 1, input   ;, b ;; '' )
t( 1, input  ;;, b ;; '' )
t( 1, input   ;;    )
t( 1, input  ;;;    )
t( 1, input   ;; '' )
t( 1, input  ;;; '' )
t( 1, input   ;; 1     )
t( 1, input  ;;; 1     )
t( 1, input   ;; 1  '' )
t( 1, input  ;;; 1  '' )
t( 1, input   ;; 1 ,     )
t( 1, input  ;;; 1 ,     )
t( 1, input   ;; 1 ,  '' )
t( 1, input  ;;; 1 ,  '' )
t( 1, input   ;; 1 ;     )
t( 1, input  ;;; 1 ;     )
t( 1, input   ;; 1 ;  '' )
t( 1, input  ;;; 1 ;  '' )
t( 1, input   ;; 1 ,,    )
t( 1, input  ;;; 1 ,,    )
t( 1, input   ;; 1 ,, '' )
t( 1, input  ;;; 1 ,, '' )
t( 1, input   ;; 1 ,;    )
t( 1, input  ;;; 1 ,;    )
t( 1, input   ;; 1 ,; '' )
t( 1, input  ;;; 1 ,; '' )
t( 1, input   ;; 1 ;,    )
t( 1, input  ;;; 1 ;,    )
t( 1, input   ;; 1 ;, '' )
t( 1, input  ;;; 1 ;, '' )
t( 1, input   ;; 1 ;;    )
t( 1, input  ;;; 1 ;;    )
t( 1, input   ;; 1 ;; '' )
t( 1, input  ;;; 1 ;; '' )
t( 1, input   ;; a     )
t( 1, input  ;;; a     )
t( 1, input   ;; a  '' )
t( 1, input  ;;; a  '' )
t( 1, input   ;; a ,     )
t( 1, input  ;;; a ,     )
t( 1, input   ;; a ,  '' )
t( 1, input  ;;; a ,  '' )
t( 1, input   ;; a ;     )
t( 1, input  ;;; a ;     )
t( 1, input   ;; a ;  '' )
t( 1, input  ;;; a ;  '' )
t( 1, input   ;; a ,,    )
t( 1, input  ;;; a ,,    )
t( 1, input   ;; a ,, '' )
t( 1, input  ;;; a ,, '' )
t( 1, input   ;; a ,;    )
t( 1, input  ;;; a ,;    )
t( 1, input   ;; a ,; '' )
t( 1, input  ;;; a ,; '' )
t( 1, input   ;; a ;,    )
t( 1, input  ;;; a ;,    )
t( 1, input   ;; a ;, '' )
t( 1, input  ;;; a ;, '' )
t( 1, input   ;; a ;;    )
t( 1, input  ;;; a ;;    )
t( 1, input   ;; a ;; '' )
t( 1, input  ;;; a ;; '' )
t( 1, input   ;;"T"    )
t( 1, input  ;;;"T"    )
t( 1, input   ;;"T" '' )
t( 1, input  ;;;"T" '' )
t( 1, input   ;;"T",     )
t( 1, input  ;;;"T",     )
t( 1, input   ;;"T",  '' )
t( 1, input  ;;;"T",  '' )
t( 1, input   ;;"T";     )
t( 1, input  ;;;"T";     )
t( 1, input   ;;"T";  '' )
t( 1, input  ;;;"T";  '' )
t( 1, input   ;;"T",,    )
t( 1, input  ;;;"T",,    )
t( 1, input   ;;"T",, '' )
t( 1, input  ;;;"T",, '' )
t( 1, input   ;;"T",;    )
t( 1, input  ;;;"T",;    )
t( 1, input   ;;"T",; '' )
t( 1, input  ;;;"T",; '' )
t( 1, input   ;;"T";,    )
t( 1, input  ;;;"T";,    )
t( 1, input   ;;"T";, '' )
t( 1, input  ;;;"T";, '' )
t( 1, input   ;;"T";;    )
t( 1, input  ;;;"T";;    )
t( 1, input   ;;"T";; '' )
t( 1, input  ;;;"T";; '' )
t( 1, input   ;; b     )
t( 1, input  ;;; b     )
t( 1, input   ;; b  '' )
t( 1, input  ;;; b  '' )
t( 1, input   ;; b ,     )
t( 1, input  ;;; b ,     )
t( 1, input   ;; b ,  '' )
t( 1, input  ;;; b ,  '' )
t( 1, input   ;; b ;     )
t( 1, input  ;;; b ;     )
t( 1, input   ;; b ;  '' )
t( 1, input  ;;; b ;  '' )
t( 1, input   ;; b ,,    )
t( 1, input  ;;; b ,,    )
t( 1, input   ;; b ,, '' )
t( 1, input  ;;; b ,, '' )
t( 1, input   ;; b ,;    )
t( 1, input  ;;; b ,;    )
t( 1, input   ;; b ,; '' )
t( 1, input  ;;; b ,; '' )
t( 1, input   ;; b ;,    )
t( 1, input  ;;; b ;,    )
t( 1, input   ;; b ;, '' )
t( 1, input  ;;; b ;, '' )
t( 1, input   ;; b ;;    )
t( 1, input  ;;; b ;;    )
t( 1, input   ;; b ;; '' )
t( 1, input  ;;; b ;; '' )
t( 1, input    1     )
t( 1, input  ; 1     )
t( 1, input    1  '' )
t( 1, input  ; 1  '' )
t( 1, input    1 ,     )
t( 1, input  ; 1 ,     )
t( 1, input    1 ,  '' )
t( 1, input  ; 1 ,  '' )
t( 1, input    1 ,  1     )
t( 1, input  ; 1 ,  1     )
t( 1, input    1 ,  1  '' )
t( 1, input  ; 1 ,  1  '' )
t( 1, input    1 ,  a     )
t( 1, input  ; 1 ,  a     )
t( 1, input    1 ,  a  '' )
t( 1, input  ; 1 ,  a  '' )
t( 1, input    1 , "T"    )
t( 1, input  ; 1 , "T"    )
t( 1, input    1 , "T" '' )
t( 1, input  ; 1 , "T" '' )
t( 1, input    1 ,  b     )
t( 1, input  ; 1 ,  b     )
t( 1, input    1 ,  b  '' )
t( 1, input  ; 1 ,  b  '' )
t( 1, input    1 ;     )
t( 1, input  ; 1 ;     )
t( 1, input    1 ;  '' )
t( 1, input  ; 1 ;  '' )
t( 1, input    1 ;  1     )
t( 1, input  ; 1 ;  1     )
t( 1, input    1 ;  1  '' )
t( 1, input  ; 1 ;  1  '' )
t( 1, input    1 ;  a     )
t( 1, input  ; 1 ;  a     )
t( 1, input    1 ;  a  '' )
t( 1, input  ; 1 ;  a  '' )
t( 1, input    1 ; "T"    )
t( 1, input  ; 1 ; "T"    )
t( 1, input    1 ; "T" '' )
t( 1, input  ; 1 ; "T" '' )
t( 1, input    1 ;  b     )
t( 1, input  ; 1 ;  b     )
t( 1, input    1 ;  b  '' )
t( 1, input  ; 1 ;  b  '' )
t( 1, input    1 ,,    )
t( 1, input  ; 1 ,,    )
t( 1, input    1 ,, '' )
t( 1, input  ; 1 ,, '' )
t( 1, input    1 ,, 1     )
t( 1, input  ; 1 ,, 1     )
t( 1, input    1 ,, 1  '' )
t( 1, input  ; 1 ,, 1  '' )
t( 1, input    1 ,, a     )
t( 1, input  ; 1 ,, a     )
t( 1, input    1 ,, a  '' )
t( 1, input  ; 1 ,, a  '' )
t( 1, input    1 ,,"T"    )
t( 1, input  ; 1 ,,"T"    )
t( 1, input    1 ,,"T" '' )
t( 1, input  ; 1 ,,"T" '' )
t( 1, input    1 ,, b     )
t( 1, input  ; 1 ,, b     )
t( 1, input    1 ,, b  '' )
t( 1, input  ; 1 ,, b  '' )
t( 1, input    1 ,;    )
t( 1, input  ; 1 ,;    )
t( 1, input    1 ,; '' )
t( 1, input  ; 1 ,; '' )
t( 1, input    1 ,; 1     )
t( 1, input  ; 1 ,; 1     )
t( 1, input    1 ,; 1  '' )
t( 1, input  ; 1 ,; 1  '' )
t( 1, input    1 ,; a     )
t( 1, input  ; 1 ,; a     )
t( 1, input    1 ,; a  '' )
t( 1, input  ; 1 ,; a  '' )
t( 1, input    1 ,;"T"    )
t( 1, input  ; 1 ,;"T"    )
t( 1, input    1 ,;"T" '' )
t( 1, input  ; 1 ,;"T" '' )
t( 1, input    1 ,; b     )
t( 1, input  ; 1 ,; b     )
t( 1, input    1 ,; b  '' )
t( 1, input  ; 1 ,; b  '' )
t( 1, input    1 ;,    )
t( 1, input  ; 1 ;,    )
t( 1, input    1 ;, '' )
t( 1, input  ; 1 ;, '' )
t( 1, input    1 ;, 1     )
t( 1, input  ; 1 ;, 1     )
t( 1, input    1 ;, 1  '' )
t( 1, input  ; 1 ;, 1  '' )
t( 1, input    1 ;, a     )
t( 1, input  ; 1 ;, a     )
t( 1, input    1 ;, a  '' )
t( 1, input  ; 1 ;, a  '' )
t( 1, input    1 ;,"T"    )
t( 1, input  ; 1 ;,"T"    )
t( 1, input    1 ;,"T" '' )
t( 1, input  ; 1 ;,"T" '' )
t( 1, input    1 ;, b     )
t( 1, input  ; 1 ;, b     )
t( 1, input    1 ;, b  '' )
t( 1, input  ; 1 ;, b  '' )
t( 1, input    1 ;;    )
t( 1, input  ; 1 ;;    )
t( 1, input    1 ;; '' )
t( 1, input  ; 1 ;; '' )
t( 1, input    1 ;; 1     )
t( 1, input  ; 1 ;; 1     )
t( 1, input    1 ;; 1  '' )
t( 1, input  ; 1 ;; 1  '' )
t( 1, input    1 ;; a     )
t( 1, input  ; 1 ;; a     )
t( 1, input    1 ;; a  '' )
t( 1, input  ; 1 ;; a  '' )
t( 1, input    1 ;;"T"    )
t( 1, input  ; 1 ;;"T"    )
t( 1, input    1 ;;"T" '' )
t( 1, input  ; 1 ;;"T" '' )
t( 1, input    1 ;; b     )
t( 1, input  ; 1 ;; b     )
t( 1, input    1 ;; b  '' )
t( 1, input  ; 1 ;; b  '' )
t( 0, input    a     )
t( 0, input  ; a     )
t( 0, input    a  '' )
t( 0, input  ; a  '' )
t( 1, input    a ,     )
t( 1, input  ; a ,     )
t( 1, input    a ,  '' )
t( 1, input  ; a ,  '' )
t( 1, input    a ,  1     )
t( 1, input  ; a ,  1     )
t( 1, input    a ,  1  '' )
t( 1, input  ; a ,  1  '' )
t( 0, input    a ,  a     )
t( 0, input  ; a ,  a     )
t( 0, input    a ,  a  '' )
t( 0, input  ; a ,  a  '' )
t( 1, input    a , "T"    )
t( 1, input  ; a , "T"    )
t( 1, input    a , "T" '' )
t( 1, input  ; a , "T" '' )
t( 0, input    a ,  b     )
t( 0, input  ; a ,  b     )
t( 0, input    a ,  b  '' )
t( 0, input  ; a ,  b  '' )
t( 1, input    a ;     )
t( 1, input  ; a ;     )
t( 1, input    a ;  '' )
t( 1, input  ; a ;  '' )
t( 1, input    a ;  1     )
t( 1, input  ; a ;  1     )
t( 1, input    a ;  1  '' )
t( 1, input  ; a ;  1  '' )
t( 1, input    a ;  a     )
t( 1, input  ; a ;  a     )
t( 1, input    a ;  a  '' )
t( 1, input  ; a ;  a  '' )
t( 1, input    a ; "T"    )
t( 1, input  ; a ; "T"    )
t( 1, input    a ; "T" '' )
t( 1, input  ; a ; "T" '' )
t( 1, input    a ;  b     )
t( 1, input  ; a ;  b     )
t( 1, input    a ;  b  '' )
t( 1, input  ; a ;  b  '' )
t( 1, input    a ,,    )
t( 1, input  ; a ,,    )
t( 1, input    a ,, '' )
t( 1, input  ; a ,, '' )
t( 1, input    a ,, 1     )
t( 1, input  ; a ,, 1     )
t( 1, input    a ,, 1  '' )
t( 1, input  ; a ,, 1  '' )
t( 1, input    a ,, a     )
t( 1, input  ; a ,, a     )
t( 1, input    a ,, a  '' )
t( 1, input  ; a ,, a  '' )
t( 1, input    a ,,"T"    )
t( 1, input  ; a ,,"T"    )
t( 1, input    a ,,"T" '' )
t( 1, input  ; a ,,"T" '' )
t( 1, input    a ,, b     )
t( 1, input  ; a ,, b     )
t( 1, input    a ,, b  '' )
t( 1, input  ; a ,, b  '' )
t( 1, input    a ,;    )
t( 1, input  ; a ,;    )
t( 1, input    a ,; '' )
t( 1, input  ; a ,; '' )
t( 1, input    a ,; 1     )
t( 1, input  ; a ,; 1     )
t( 1, input    a ,; 1  '' )
t( 1, input  ; a ,; 1  '' )
t( 1, input    a ,; a     )
t( 1, input  ; a ,; a     )
t( 1, input    a ,; a  '' )
t( 1, input  ; a ,; a  '' )
t( 1, input    a ,;"T"    )
t( 1, input  ; a ,;"T"    )
t( 1, input    a ,;"T" '' )
t( 1, input  ; a ,;"T" '' )
t( 1, input    a ,; b     )
t( 1, input  ; a ,; b     )
t( 1, input    a ,; b  '' )
t( 1, input  ; a ,; b  '' )
t( 1, input    a ;,    )
t( 1, input  ; a ;,    )
t( 1, input    a ;, '' )
t( 1, input  ; a ;, '' )
t( 1, input    a ;, 1     )
t( 1, input  ; a ;, 1     )
t( 1, input    a ;, 1  '' )
t( 1, input  ; a ;, 1  '' )
t( 1, input    a ;, a     )
t( 1, input  ; a ;, a     )
t( 1, input    a ;, a  '' )
t( 1, input  ; a ;, a  '' )
t( 1, input    a ;,"T"    )
t( 1, input  ; a ;,"T"    )
t( 1, input    a ;,"T" '' )
t( 1, input  ; a ;,"T" '' )
t( 1, input    a ;, b     )
t( 1, input  ; a ;, b     )
t( 1, input    a ;, b  '' )
t( 1, input  ; a ;, b  '' )
t( 1, input    a ;;    )
t( 1, input  ; a ;;    )
t( 1, input    a ;; '' )
t( 1, input  ; a ;; '' )
t( 1, input    a ;; 1     )
t( 1, input  ; a ;; 1     )
t( 1, input    a ;; 1  '' )
t( 1, input  ; a ;; 1  '' )
t( 1, input    a ;; a     )
t( 1, input  ; a ;; a     )
t( 1, input    a ;; a  '' )
t( 1, input  ; a ;; a  '' )
t( 1, input    a ;;"T"    )
t( 1, input  ; a ;;"T"    )
t( 1, input    a ;;"T" '' )
t( 1, input  ; a ;;"T" '' )
t( 1, input    a ;; b     )
t( 1, input  ; a ;; b     )
t( 1, input    a ;; b  '' )
t( 1, input  ; a ;; b  '' )
t( 1, input   "T"    )
t( 1, input  ;"T"    )
t( 1, input   "T" '' )
t( 1, input  ;"T" '' )
t( 1, input   "T",     )
t( 1, input  ;"T",     )
t( 1, input   "T",  '' )
t( 1, input  ;"T",  '' )
t( 1, input   "T",  1     )
t( 1, input  ;"T",  1     )
t( 1, input   "T",  1  '' )
t( 1, input  ;"T",  1  '' )
t( 0, input   "T",  a     )
t( 0, input  ;"T",  a     )
t( 0, input   "T",  a  '' )
t( 0, input  ;"T",  a  '' )
t( 1, input   "T", "T"    )
t( 1, input  ;"T", "T"    )
t( 1, input   "T", "T" '' )
t( 1, input  ;"T", "T" '' )
t( 0, input   "T",  b     )
t( 0, input  ;"T",  b     )
t( 0, input   "T",  b  '' )
t( 0, input  ;"T",  b  '' )
t( 1, input   "T";     )
t( 1, input  ;"T";     )
t( 1, input   "T";  '' )
t( 1, input  ;"T";  '' )
t( 1, input   "T";  1     )
t( 1, input  ;"T";  1     )
t( 1, input   "T";  1  '' )
t( 1, input  ;"T";  1  '' )
t( 0, input   "T";  a     )
t( 0, input  ;"T";  a     )
t( 0, input   "T";  a  '' )
t( 0, input  ;"T";  a  '' )
t( 1, input   "T"; "T"    )
t( 1, input  ;"T"; "T"    )
t( 1, input   "T"; "T" '' )
t( 1, input  ;"T"; "T" '' )
t( 0, input   "T";  b     )
t( 0, input  ;"T";  b     )
t( 0, input   "T";  b  '' )
t( 0, input  ;"T";  b  '' )
t( 1, input   "T",,    )
t( 1, input  ;"T",,    )
t( 1, input   "T",, '' )
t( 1, input  ;"T",, '' )
t( 1, input   "T",, 1     )
t( 1, input  ;"T",, 1     )
t( 1, input   "T",, 1  '' )
t( 1, input  ;"T",, 1  '' )
t( 1, input   "T",, a     )
t( 1, input  ;"T",, a     )
t( 1, input   "T",, a  '' )
t( 1, input  ;"T",, a  '' )
t( 1, input   "T",,"T"    )
t( 1, input  ;"T",,"T"    )
t( 1, input   "T",,"T" '' )
t( 1, input  ;"T",,"T" '' )
t( 1, input   "T",, b     )
t( 1, input  ;"T",, b     )
t( 1, input   "T",, b  '' )
t( 1, input  ;"T",, b  '' )
t( 1, input   "T",;    )
t( 1, input  ;"T",;    )
t( 1, input   "T",; '' )
t( 1, input  ;"T",; '' )
t( 1, input   "T",; 1     )
t( 1, input  ;"T",; 1     )
t( 1, input   "T",; 1  '' )
t( 1, input  ;"T",; 1  '' )
t( 1, input   "T",; a     )
t( 1, input  ;"T",; a     )
t( 1, input   "T",; a  '' )
t( 1, input  ;"T",; a  '' )
t( 1, input   "T",;"T"    )
t( 1, input  ;"T",;"T"    )
t( 1, input   "T",;"T" '' )
t( 1, input  ;"T",;"T" '' )
t( 1, input   "T",; b     )
t( 1, input  ;"T",; b     )
t( 1, input   "T",; b  '' )
t( 1, input  ;"T",; b  '' )
t( 1, input   "T";,    )
t( 1, input  ;"T";,    )
t( 1, input   "T";, '' )
t( 1, input  ;"T";, '' )
t( 1, input   "T";, 1     )
t( 1, input  ;"T";, 1     )
t( 1, input   "T";, 1  '' )
t( 1, input  ;"T";, 1  '' )
t( 1, input   "T";, a     )
t( 1, input  ;"T";, a     )
t( 1, input   "T";, a  '' )
t( 1, input  ;"T";, a  '' )
t( 1, input   "T";,"T"    )
t( 1, input  ;"T";,"T"    )
t( 1, input   "T";,"T" '' )
t( 1, input  ;"T";,"T" '' )
t( 1, input   "T";, b     )
t( 1, input  ;"T";, b     )
t( 1, input   "T";, b  '' )
t( 1, input  ;"T";, b  '' )
t( 1, input   "T";;    )
t( 1, input  ;"T";;    )
t( 1, input   "T";; '' )
t( 1, input  ;"T";; '' )
t( 1, input   "T";; 1     )
t( 1, input  ;"T";; 1     )
t( 1, input   "T";; 1  '' )
t( 1, input  ;"T";; 1  '' )
t( 1, input   "T";; a     )
t( 1, input  ;"T";; a     )
t( 1, input   "T";; a  '' )
t( 1, input  ;"T";; a  '' )
t( 1, input   "T";;"T"    )
t( 1, input  ;"T";;"T"    )
t( 1, input   "T";;"T" '' )
t( 1, input  ;"T";;"T" '' )
t( 1, input   "T";; b     )
t( 1, input  ;"T";; b     )
t( 1, input   "T";; b  '' )
t( 1, input  ;"T";; b  '' )
t( 0, input    b     )
t( 0, input  ; b     )
t( 0, input    b  '' )
t( 0, input  ; b  '' )
t( 1, input    b ,     )
t( 1, input  ; b ,     )
t( 1, input    b ,  '' )
t( 1, input  ; b ,  '' )
t( 1, input    b ,  1     )
t( 1, input  ; b ,  1     )
t( 1, input    b ,  1  '' )
t( 1, input  ; b ,  1  '' )
t( 0, input    b ,  a     )
t( 0, input  ; b ,  a     )
t( 0, input    b ,  a  '' )
t( 0, input  ; b ,  a  '' )
t( 1, input    b , "T"    )
t( 1, input  ; b , "T"    )
t( 1, input    b , "T" '' )
t( 1, input  ; b , "T" '' )
t( 0, input    b ,  b     )
t( 0, input  ; b ,  b     )
t( 0, input    b ,  b  '' )
t( 0, input  ; b ,  b  '' )
t( 1, input    b ;     )
t( 1, input  ; b ;     )
t( 1, input    b ;  '' )
t( 1, input  ; b ;  '' )
t( 1, input    b ;  1     )
t( 1, input  ; b ;  1     )
t( 1, input    b ;  1  '' )
t( 1, input  ; b ;  1  '' )
t( 1, input    b ;  a     )
t( 1, input  ; b ;  a     )
t( 1, input    b ;  a  '' )
t( 1, input  ; b ;  a  '' )
t( 1, input    b ; "T"    )
t( 1, input  ; b ; "T"    )
t( 1, input    b ; "T" '' )
t( 1, input  ; b ; "T" '' )
t( 1, input    b ;  b     )
t( 1, input  ; b ;  b     )
t( 1, input    b ;  b  '' )
t( 1, input  ; b ;  b  '' )
t( 1, input    b ,,    )
t( 1, input  ; b ,,    )
t( 1, input    b ,, '' )
t( 1, input  ; b ,, '' )
t( 1, input    b ,, 1     )
t( 1, input  ; b ,, 1     )
t( 1, input    b ,, 1  '' )
t( 1, input  ; b ,, 1  '' )
t( 1, input    b ,, a     )
t( 1, input  ; b ,, a     )
t( 1, input    b ,, a  '' )
t( 1, input  ; b ,, a  '' )
t( 1, input    b ,,"T"    )
t( 1, input  ; b ,,"T"    )
t( 1, input    b ,,"T" '' )
t( 1, input  ; b ,,"T" '' )
t( 1, input    b ,, b     )
t( 1, input  ; b ,, b     )
t( 1, input    b ,, b  '' )
t( 1, input  ; b ,, b  '' )
t( 1, input    b ,;    )
t( 1, input  ; b ,;    )
t( 1, input    b ,; '' )
t( 1, input  ; b ,; '' )
t( 1, input    b ,; 1     )
t( 1, input  ; b ,; 1     )
t( 1, input    b ,; 1  '' )
t( 1, input  ; b ,; 1  '' )
t( 1, input    b ,; a     )
t( 1, input  ; b ,; a     )
t( 1, input    b ,; a  '' )
t( 1, input  ; b ,; a  '' )
t( 1, input    b ,;"T"    )
t( 1, input  ; b ,;"T"    )
t( 1, input    b ,;"T" '' )
t( 1, input  ; b ,;"T" '' )
t( 1, input    b ,; b     )
t( 1, input  ; b ,; b     )
t( 1, input    b ,; b  '' )
t( 1, input  ; b ,; b  '' )
t( 1, input    b ;,    )
t( 1, input  ; b ;,    )
t( 1, input    b ;, '' )
t( 1, input  ; b ;, '' )
t( 1, input    b ;, 1     )
t( 1, input  ; b ;, 1     )
t( 1, input    b ;, 1  '' )
t( 1, input  ; b ;, 1  '' )
t( 1, input    b ;, a     )
t( 1, input  ; b ;, a     )
t( 1, input    b ;, a  '' )
t( 1, input  ; b ;, a  '' )
t( 1, input    b ;,"T"    )
t( 1, input  ; b ;,"T"    )
t( 1, input    b ;,"T" '' )
t( 1, input  ; b ;,"T" '' )
t( 1, input    b ;, b     )
t( 1, input  ; b ;, b     )
t( 1, input    b ;, b  '' )
t( 1, input  ; b ;, b  '' )
t( 1, input    b ;;    )
t( 1, input  ; b ;;    )
t( 1, input    b ;; '' )
t( 1, input  ; b ;; '' )
t( 1, input    b ;; 1     )
t( 1, input  ; b ;; 1     )
t( 1, input    b ;; 1  '' )
t( 1, input  ; b ;; 1  '' )
t( 1, input    b ;; a     )
t( 1, input  ; b ;; a     )
t( 1, input    b ;; a  '' )
t( 1, input  ; b ;; a  '' )
t( 1, input    b ;;"T"    )
t( 1, input  ; b ;;"T"    )
t( 1, input    b ;;"T" '' )
t( 1, input  ; b ;;"T" '' )
t( 1, input    b ;; b     )
t( 1, input  ; b ;; b     )
t( 1, input    b ;; b  '' )
t( 1, input  ; b ;; b  '' )
